import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listEngineering(query) {
  return request({
    url: '/business/engineering/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getEngineering(id) {
  return request({
    url: '/business/engineering/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addEngineering(data) {
  return request({
    url: '/business/engineering',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateEngineering(data) {
  return request({
    url: '/business/engineering',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delEngineering(id) {
  return request({
    url: '/business/engineering/' + id,
    method: 'delete'
  })
}
